> For the complete documentation index, see [llms.txt](https://docs.rierino.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rierino.com/devops/api-event-and-process-flows/configuring-saga-steps/event-step/flow-actions/loop-each-entry.md).

# Loop Each Entry

These actions provide ability to repeat an action for each entry in a specific payload element.

## Loop Each Entry Actions

### RunEach

Repeats an action multiple times, each with an assigned part of the payload. Event metadata parameters applicable for this action are as follows:

{% tabs %}
{% tab title="Table" %}

| Parameter    | Definition                                                                         | Example                                              | Default |
| ------------ | ---------------------------------------------------------------------------------- | ---------------------------------------------------- | ------- |
| For Each     | Json path in payload to array entries for repetition                               | parameters.productids                                | list    |
| Parallel     | Whether actions should run in parallel or not                                      | true                                                 | false   |
| As           | Field name to set results from each action                                         | output                                               | \_      |
| Inner Fields | Event metadata fields for each action execution (e.g. action, handler, parameters) | <p>action=CallRest</p><p>parameters.url=/product</p> | -       |
| {% endtab %} |                                                                                    |                                                      |         |

{% tab title="JSON Schema" %}

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "eventMeta": {
      "type": "object",
      "properties": {
        "parameters": {
          "type": "object",
          "properties": {
            "forEach": {
              "type": "string",
              "definition": "Json path in payload to array entries for repetition",
              "example": "parameters.productids",
              "default": "list"
            },
            "parallel": {
              "type": "boolean",
              "definition": "Whether actions should run in parallel or not",
              "example": true,
              "default": false
            },
            "as": {
              "type": "string",
              "definition": "Field name to set results from each action",
              "example": "output",
              "default": "_"
            },
            "inner_[field]": {
              "type": "string",
              "definition": "Event metadata fields for each action execution (e.g. action, handler, parameters)",
              "example": "action=CallRest\\nparameters.url=/product",
              "default": null
            }
          }
        }
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Example</summary>

Input

```json
{
    "translations": ['enUS', 'deDE', 'frFR'],
    "text": "Hello World"
}
```

Event Metadata

![](https://1659095931-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FcnDk3J1AzTgg2NFrGPlh%2Fuploads%2FX7ODj6pjhcUiZzgdcxyk%2Fimage.png?alt=media\&token=7f0ec425-9220-4a5f-b7d8-3910da57ebfe)

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rierino.com/devops/api-event-and-process-flows/configuring-saga-steps/event-step/flow-actions/loop-each-entry.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
